GEOS: geos::operation::overlay::MinimalEdgeRing Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::overlay::MinimalEdgeRing Class Reference

A ring of Edges with the property that no node has degree greater than 2. More...

`#include <MinimalEdgeRing.h>`

Inherits geos::geomgraph::EdgeRing.

## Public Member Functions
| MinimalEdgeRing (geomgraph::DirectedEdge *start, const geom::GeometryFactory *geometryFactory)
geomgraph::DirectedEdge * | getNext (geomgraph::DirectedEdge *de)
void | setEdgeRing (geomgraph::DirectedEdge *de, geomgraph::EdgeRing *er)
Public Member Functions inherited from geos::geomgraph::EdgeRing
| EdgeRing (DirectedEdge *newStart, const geom::GeometryFactory *newGeometryFactory)
bool | isIsolated ()
bool | isHole ()
geom::LinearRing * | getLinearRing ()
Label & | getLabel ()
bool | isShell ()
EdgeRing * | getShell ()
void | setShell (EdgeRing *newShell)
void | addHole (EdgeRing *edgeRing)
geom::Polygon * | toPolygon (const geom::GeometryFactory *geometryFactory)
void | computeRing ()
virtual DirectedEdge * | getNext (DirectedEdge *de)=0
virtual void | setEdgeRing (DirectedEdge *de, EdgeRing *er)=0
std::vector< DirectedEdge * > & | getEdges ()
int | getMaxNodeDegree ()
void | setInResult ()
bool | containsPoint (const geom::Coordinate &p)
void | testInvariant ()

## Additional Inherited Members
Protected Member Functions inherited from geos::geomgraph::EdgeRing
void | computePoints (DirectedEdge *newStart)
| throw(const TopologyException &)
void | mergeLabel (Label &deLabel)
void | mergeLabel (Label &deLabel, int geomIndex)
| Merge the RHS label from a DirectedEdge into the label for this EdgeRing.
void | addPoints (Edge *edge, bool isForward, bool isFirstEdge)
Protected Attributes inherited from geos::geomgraph::EdgeRing
DirectedEdge * | startDe
const geom::GeometryFactory * | geometryFactory
std::vector< EdgeRing * > | holes
| a list of EdgeRings which are holes in this EdgeRing

## Detailed Description

A ring of Edges with the property that no node has degree greater than 2.

These are the form of rings required to represent polygons under the OGC SFS spatial data model.

See Also
  operation::overlay::MaximalEdgeRing

The documentation for this class was generated from the following file:

- MinimalEdgeRing.h